package migrations

import (
	"code.gitea.io/gitea/modules/timeutil"

	"github.com/go-xorm/xorm"
)

func addU2FReg(x *xorm.Engine) error {
	type U2FRegistration struct {
		ID          int64 `xorm:"pk autoincr"`
		Name        string
		UserID      int64 `xorm:"INDEX"`
		Raw         []byte
		Counter     uint32
		CreatedUnix timeutil.TimeStamp `xorm:"INDEX created"`
		UpdatedUnix timeutil.TimeStamp `xorm:"INDEX updated"`
	}
	return x.Sync2(&U2FRegistration{})
}
